MP4(3)

NAME

MP4SetAudioProfileLevel - Sets the minimum MPEG-4 audio profile and level required to render the contents of the file

SYNTAX

#include <mp4.h>

bool MP4SetAudioProfileLevel(
        MP4FileHandle hFile,
        u_int8_t profileLevel
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetAudioProfileLevel sets the minumum profile/level of MPEG-4 audio support necessary to render the contents of the file.

ISO/IEC 14496-1:2001 MPEG-4 Systems defines the following values:
    0x00    Reserved
    0x01    Main Profile @ Level 1
    0x02    Main Profile @ Level 2
    0x03    Main Profile @ Level 3
    0x04    Main Profile @ Level 4
    0x05    Scalable Profile @ Level 1
    0x06    Scalable Profile @ Level 2
    0x07    Scalable Profile @ Level 3
    0x08    Scalable Profile @ Level 4
    0x09    Speech Profile @ Level 1
    0x0A    Speech Profile @ Level 2
    0x0B    Synthesis Profile @ Level 1
    0x0C    Synthesis Profile @ Level 2
    0x0D    Synthesis Profile @ Level 3
    0x0E-0x7F    Reserved
    0x80-0xFD    User private
    0xFE    No audio profile specified
    0xFF    No audio required

SEE ALSO

MP4(3) MP4GetAudioProfileLevel(3)